Articles of Совместимость с

Есть ли план по включению Android PdfRenderer в библиотеку поддержки?

В Android 5.0 Google представил класс PdfRenderer, который отлично подходит для рендеринга PDF-файлов. Проблема в том, что он доступен только с minSDK 21. https://developer.android.com/reference/android/graphics/pdf/PdfRenderer.html Как я могу узнать, есть ли планы включить этот класс в библиотеку поддержки?

ButtonStyle не работает для 22.1.1

Я использую com.android.support:appcompat-v7:22.1.1 Этот атрибут android:buttonStyle не устанавливает этот стиль для каждой кнопки, мне нужно настроить android:theme="@style/AppTheme.Button" вручную на каждой кнопке. <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar"> <item name="android:buttonStyle">@style/AppTheme.Button</item> </style> Что мне нужно сделать, чтобы установить для него общий стиль?

XmlPullParserException: недопустимый вектор тегов

Я использую поддержку NDK и получаю эту ошибку: Gradle: Распространение: gradle-2.5-all Инструмент построения: gradle-experimental:0.2.1 XML: <vector android:height="24dp" android:viewportHeight="125.0" android:viewportWidth="100.0" android:width="24dp" xmlns:android="http://schemas.android.com/apk/res/android"> <path android:fillColor="#FF000000" android:pathData="M97.01,-2.98,-3C47.02,95.35"/> </vector> Предупреждение: Для вектора требуется уровень API 21 (текущий минимум равен 13) или здание с плагином Android Gradle 1.4 или выше Исключение: FATAL EXCEPTION: main android.content.res.Resources$NotFoundException: File res/drawable/accelerometer.xml from drawable resource […]

Что эквивалентно getCheckedItemCount () для уровня API <11?

Я использую этот метод, чтобы проверить, сколько элементов в списке проверено, и я получаю эту ошибку, что этот метод недоступен для любого SDK старше 11 лет. Что эквивалентно этому в уровне API 8

Обратная или обратная совместимость в Android?

Я хотел бы знать, поддерживает ли Android какую-либо совместимость, т.е. либо вперед, либо назад. Это означает, что в Blackberry, если вы разрабатываете приложение с JDE 4.2, это приложение будет работать на любом телефоне с ОС 4.2 или выше, что означает, что он имеет совместимость с Outlook. Есть что-то подобное в Android? Предположим, что я разрабатываю […]

Не удается добавить пакет совместимости в проект Android

У меня возникли проблемы с добавлением пакета совместимости в мой проект Android. Не совсем уверен, что с этим делать. Любые идеи приветствуются. Ошибка происходит внизу, где кажется, что подключение к моему локальному хосту отклонено. Это консольный вывод, который я вижу: [2011-11-12 01:44:13 – SDK Manager] Fetching https://dl-ssl.google.com/android/repository/addons_list-1.xml [2011-11-12 01:44:14 – SDK Manager] Validate XML [2011-11-12 […]

Оптимизация файла манифеста Android для наибольшего количества поддерживаемых устройств

У меня возникают проблемы с тем, чтобы мой файл манифеста был совместим с множеством новых телефонов при загрузке нового файла APK, и я не понимаю, почему. Я тестирую его на новом HTC Evo V , но по какой-то причине это устройство не появится в списке совместимости. Я собираюсь против API 17 с минимальной поддержкой API […]

Как я могу использовать один и тот же набор экранов предпочтений для всех версий Android от 2.X до 4.X?

ВНИМАНИЕ. Пожалуйста, сэкономить время и обратиться к принятому ответу, не нужно читать все quesiton. Вы можете прочитать остальную часть вопроса и ответ, который я предоставил для альтернативного (хотя и менее сложного) метода. Кроме того, вы можете воспользоваться исправлением для фонового сбоя в Android 2.X, добавив связанный фрагмент кода в ваш класс активности предпочтений. Задний план […]

Предпосылки создания

Мое приложение для Android отлично использует библиотеку совместимости (в частности, Loaders ). Мне нужно иметь возможность использовать компоненты совместимости всюду, включая мою PreferenceActivity . К сожалению, библиотека поддержки не включает основанный на фрагменте PreferenceActivity или класс PreferenceFragment . Я играю с идеей создания собственного PreferenceFragmentActivity и CompatPreferenceFragment (в основном, что Google пренебрег). Другие, в том […]

Android Market – это приложение доступно для более чем 0 устройств?

Я опубликовал apk на Android Market, активирован и настроен бесплатно для всех стран. Android Market говорит, что мое приложение не совместимо ни с одним из устройств. Я вижу приложение, когда я обращаюсь к Android Market из браузера ПК, но я не могу загрузить его с любого телефона Android (того же устройства, которое использовалось для тестирования […]

Intereting Posts
Как вызвать startactivityforresult из класса non-activity для получения результатов Как реализовать голос и видеочат Как удалить выбранный цвет при перетаскивании по списку База данных SQLite для базы данных SQLite с индексом 2048 кб не выполнена Можно ли получать уведомление, когда какой-либо провайдер местоположения включен / отключен, и выяснить, какое действие произошло? В чем разница между меню опций и меню панели в Android? Android – NotificationCompat.Builder укладывает уведомления с помощью setGroup (group) не работает Невозможно найти параметр модуля импорта в структуре проекта (Android Studio 0.3.4 – 0.5.2) Несколько объектов EditText в AlertDialog Что такое надгробный камень в андроиде? Как преобразовать строку в длинный Масштабирование проблемы на Android – почему картина такая неуклюжая? Android – Сделайте что-нибудь * после того, как * текст изменен в EditText Android: как синхронизировать запросы с помощью болтов с Parse.com? Android: Не удалось преобразовать формат Dalvik: невозможно выполнить dex: null